## nmap 7.80+dfsg1

=== debian/changelog ===
nmap (7.80+dfsg1-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:20:47 +0100

nmap (7.80+dfsg1-2) unstable; urgency=medium

  [ Samuel Henrique ]
  * Add salsa-ci.yml
  * d/rules: Pass some hardening flags to nmap_service.exe
  * salsa-ci: Disable BLHC test

  [ Hilko Bengen ]
  * Drop zenmap package due to python2 and pygtk removal (Closes: #885498)
  * Use Python3 for ndiff, using Bryan Quigley's patch (PR #1807).
    Closes: #883161

 -- Hilko Bengen <bengen@debian.org>  Fri, 08 Nov 2019 12:41:14 +0100

nmap (7.80+dfsg1-1) unstable; urgency=medium

  * New upstream version 7.80+dfsg1 (Closes: #934728)
  * Disable check for upstream signatures which are apparently
    no longer published.
  * Bump Debhelper compat level
  * Replace dh_install --fail-missing
  * Bump Standards-Version
  * dh_missing
  * Rework patches

 -- Hilko Bengen <bengen@debian.org>  Thu, 15 Aug 2019 09:25:50 +0200

nmap (7.70+dfsg1-6) unstable; urgency=medium

  * Team upload
  * Drop 0004-library-versions.patch, it has been fixed differently
    by upstream, and it is now breaking Ubuntu builds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Dec 2018 15:58:18 +0100

nmap (7.70+dfsg1-5) unstable; urgency=medium

  * d/control: zenmap: move polkit from Depends to Recommends, note
    that the desktop entry of zenmap as root won't work without polkit
    (closes: #912452)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 31 Oct 2018 20:02:43 -0300

nmap (7.70+dfsg1-4) unstable; urgency=medium

  [ Samuel Henrique ]
  * Bump Standards-Version to 4.2.1
  * Update my email to @debian.org
  * d/p/0005: remove ncat's manpage self-reference (closes: #765999)
  * d/control: better ndiff extended description
  * lintian-overrides:
    - ndiff: add description lintian (as nmap and zenmap does)
    - nmap: add false positive lintians
    - nmap-common: add two overrides for READMEs
    - zenmap: add override for pkexec

  [ Christian Ehrhardt ]
  * Fix "zenmap as root" using polkit instead of menu
    (closes: #890728) (LP: #1263311)

 -- Samuel Henrique <samueloph@debian.org>  Wed, 31 Oct 2018 03:26:50 -0300
