## nmap 7.91+dfsg1

=== debian/changelog ===
nmap (7.91+dfsg1-1) unstable; urgency=medium

  * New upstream version 7.91+dfsg1
  * Update patches; add patch to fix automake breakage

 -- Hilko Bengen <bengen@debian.org>  Mon, 12 Oct 2020 00:32:24 +0200

nmap (7.80+dfsg1-5) unstable; urgency=medium

  * Make nmap_service.ex_ reproducible, thanks to Chris Lamb for the patch
    (Closes: #964369)

 -- Hilko Bengen <bengen@debian.org>  Mon, 06 Jul 2020 23:01:39 +0200

nmap (7.80+dfsg1-4) unstable; urgency=medium

  * Revert "Enable running all tests" as this caused network activity and
    FTBFS on some autobuilders.

 -- Hilko Bengen <bengen@debian.org>  Sat, 04 Jul 2020 17:00:00 +0200

nmap (7.80+dfsg1-3) unstable; urgency=medium

  [ Hilko Bengen ]
  * Enable running all tests
  * Ship obfuscated nmap_service.ex_ instead of nmap_service.exe (Closes:
    #929272)

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian
  * d/control: Add Rules-Requires-Root: no
  * Bump DH to 13
  * d/p/upstream/signing-key.asc: Remove extra signature
  * Bump Standards Version to 4.5.0

  [ Automatic changes ]
  * Trim trailing whitespace.
  * Wrap long lines in changelog entries: 6.25-0.2, 4.76-0ubuntu1.
  * Set debhelper-compat version in Build-Depends.
  * Fix field name typos in debian/copyright.

 -- Hilko Bengen <bengen@debian.org>  Sat, 04 Jul 2020 15:34:56 +0200
