=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Hilko Bengen <bengen@debian.org>,
            Samuel Henrique <samueloph@debian.org>
 Build-Depends: bison,
-               debhelper (>=12~),
+               debhelper-compat (= 13),
                dh-python,
                flex,
                liblinear-dev,
@@ -19,7 +19,8 @@
                python3,
 Build-Depends-Indep: default-jdk-headless,
                      gcc-mingw-w64-i686
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://nmap.org/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/nmap.git
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/nmap
