=== debian/changelog ===
nmap (7.91+dfsg1+really7.80+dfsg1-2ubuntu0.1) jammy; urgency=medium

  * d/p/avoid-assertion-failure-when-unsolicited-arp-response-received.patch:
    Check if a timeout clock is running before attempting to stop it.
    (LP: #1908223)

 -- Bryce Harrington <bryce@canonical.com>  Thu, 12 Jan 2023 09:40:55 -0800

nmap (7.91+dfsg1+really7.80+dfsg1-2build1) jammy; urgency=medium

  * No-change rebuild against openssl3

 -- Simon Chopin <simon.chopin@canonical.com>  Mon, 29 Nov 2021 16:03:28 +0100

nmap (7.91+dfsg1+really7.80+dfsg1-2) unstable; urgency=medium

  * d/p/update-mac-prefixes.patch: New patch to update file based on
    upstream's 7.91 release

 -- Samuel Henrique <samueloph@debian.org>  Wed, 17 Mar 2021 17:09:14 +0000

nmap (7.91+dfsg1+really7.80+dfsg1-1) unstable; urgency=medium

  * New upstream version 7.91+dfsg1+really7.80+dfsg1
    - Rolling back to 7.80 as the latest version has a license issue which
      most likely makes nmap not compatible with the DFSG. There are still
      discussions ongoing and upstream is deciding on what to do, meanwhile
      we are rolling back to the previous release as we are getting close
      to bullseye becoming stable. More info at the bug this is closing or
      at upstream discussion on github:
      https://github.com/nmap/nmap/issues/2199
      (closes: #972216)
  * Bump Standards-Version to 4.5.1
  * Revert "Update patches; add patch to fix automake breakage" due
    to the rollback

 -- Samuel Henrique <samueloph@debian.org>  Tue, 02 Feb 2021 22:01:01 +0000
