## nmap 7.92+dfsg2

=== debian/changelog ===
nmap (7.92+dfsg2-1ubuntu1) kinetic; urgency=medium

  * d/rules: use external libssh2, as the nmap dfsg tarball no longer has it
    bundled (LP: #1970630)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 27 Apr 2022 11:48:20 -0300

nmap (7.92+dfsg2-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 7.92+dfsg2-1 (closes: #995340)
    This is the last release that can still use the previous DFSG-compatible
    license. We haven't decided yet what to do with the next ones but it might
    take a bit for them to be packaged.
  * d/copyright: Add missing libssh2 to Files-Excluded
  * d/patches:
    - Refresh patches
    - 0004-Python3-port-of-ndiff.patch: Update patch
    - update-mac-prefixes.patch: Drop patch, unneeded

 -- Samuel Henrique <samueloph@debian.org>  Mon, 10 Jan 2022 21:27:10 -0300
