=== debian/changelog ===
nmap (7.93+dfsg1-1) unstable; urgency=medium

  [ Samuel Henrique ]
  * New upstream version 7.93+dfsg1
    - There are still discussions ongoing on whether NMAP's license is
      DFSG-free or not, you can keep an eye on the following places for
      updates:
      https://bugs.debian.org/1025650
      https://github.com/nmap/nmap/issues/2199
  * Bump Standards-Version to 4.6.2
  * d/nmap-common.lintian-overrides: Update overrides as lintian changed
    finding's names
  * d/copyright: Remove entries for non-existent files
  * d/nmap.lintian-overrides: Remove unused overrides

  [ Andreas Hasenack ]
  * d/rules: drop Ubuntu-specific configure option

  [ Debian Janitor ]
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Remove constraints unnecessary since buster

 -- Samuel Henrique <samueloph@debian.org>  Mon, 16 Jan 2023 20:23:39 +0000
