=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nmap
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Hilko Bengen <bengen@debian.org>,
            Samuel Henrique <samueloph@debian.org>
 Build-Depends: bison,
@@ -20,7 +19,7 @@
                python3,
 Build-Depends-Indep: default-jdk-headless,
                      gcc-mingw-w64-i686
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://nmap.org/
 Vcs-Git: https://salsa.debian.org/pkg-security-team/nmap.git
@@ -48,8 +47,6 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: nmap
-Replaces: nmap (<< 7.60+dfsg1-1~)
-Breaks: nmap (<< 7.60+dfsg1-1~)
 Description: Architecture independent files for nmap
  Nmap is a utility for network exploration or security auditing. It
  supports ping scanning (determine which hosts are up), many port
@@ -66,9 +63,7 @@
 Package: ndiff
 Architecture: all
 Recommends: nmap
-Breaks: nmap (<< ${source:Version}),
-        zenmap (<< 6.47-5~)
-Replaces: zenmap (<< 6.47-5~)
+Breaks: nmap (<< ${source:Version})
 Depends: python3-lxml,
          ${misc:Depends},
          ${python3:Depends},
@@ -80,8 +75,6 @@
 
 Package: ncat
 Architecture: any
-Breaks: nmap (<< 7.70+dfsg1-2~)
-Replaces: nmap (<< 7.70+dfsg1-2~)
 Depends: ${misc:Depends},  ${shlibs:Depends}
 Description: NMAP netcat reimplementation
  ncat is a reimplementation of Netcat by the NMAP project, providing
