=== debian/changelog ===
nmap (7.94+dfsg1-2) unstable; urgency=medium

  * Switch to PCRE2, using patches from upstream git (Closes: #1000012)

 -- Hilko Bengen <bengen@debian.org>  Tue, 04 Jul 2023 13:25:28 +0200

nmap (7.94+dfsg1-1) unstable; urgency=medium

  * New upstream version 7.94+dfsg1
  * Update liblua dependency to 5.4
  * d/patches: Update patches for new release
  * d/watch: Change repack suffix to drop enumeration '1'

 -- Samuel Henrique <samueloph@debian.org>  Tue, 23 May 2023 22:35:31 +0100
