=== debian/control ===
--- 
+++ 
@@ -9,9 +9,9 @@
                dh-python,
                flex,
                liblinear-dev,
-               liblua5.3-dev,
+               liblua5.4-dev,
                libpcap0.8-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libssh2-1-dev,
                libssl-dev,
                zlib1g-dev,
