=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--with-liblua \
+		--with-liblua=/usr \
 		--with-liblinear \
 		--without-zenmap \
 		--without-ndiff \
