=== debian/changelog ===
nmap (7.94+git20230807.3be01efb1+dfsg-4~bpo12+1) bookworm-backports; urgency=medium

  * Team upload.
  * Rebuild for bookworm-backports.

 -- Matheus Polkorny <mpolkorny@gmail.com>  Thu, 28 Nov 2024 23:18:05 -0300

nmap (7.94+git20230807.3be01efb1+dfsg-4) unstable; urgency=medium

  [ Hilko Bengen ]
  * Add missing zenmap dependency.
    Thanks to Yadd <yadd@debian.org> (Closes: #1063824)

  [ Antonio Terceiro ]
  * debian/rules: filter out build flag not supported by i686-w64-mingw32-gcc
    (Closes: #1069391)

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 04 Jun 2024 13:40:09 -0300

nmap (7.94+git20230807.3be01efb1+dfsg-3) unstable; urgency=medium

  * Re-introduce zenmap package (Closes: #1057744)
  * Fix irregular version number for zenmap
  * Fix make install breakage

 -- Hilko Bengen <bengen@debian.org>  Sun, 24 Dec 2023 22:32:17 +0100

nmap (7.94+git20230807.3be01efb1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove d/p/0003-Link-against-lua-lpeg.patch:
    - It is being removed because it is no longer needed, since the problem
    was resolved in 2016, and because it is making the package unreproduciple.
    The build failed due to "undefined reference to luaopen_lpeg(lua_State*)".
    More info at the bug this is related or at upstream discussion on github:
    https://github.com/nmap/nmap/issues/237
    https://seclists.org/nmap-dev/2016/q1/268
    (closes: #1054687)

 -- Sergio de Almeida Cipriano Junior <sergiosacj@riseup.net>  Fri, 27 Oct 2023 19:42:53 -0300

nmap (7.94+git20230807.3be01efb1+dfsg-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Samuel Henrique <samueloph@debian.org>  Wed, 16 Aug 2023 19:49:50 +0100

nmap (7.94+git20230807.3be01efb1+dfsg-1) unstable; urgency=medium

  * New upstream version 7.94+git20230807.3be01efb1+dfsg
  * d/patches: Drop all upstream patches:
    - upstream-Handle-unknown-service-name-in-p.patch
    - upstream-Ncat-server-udp-do-not-quit-after-EOF-on-STDIN.patch
    - upstream-Remove-nse_pcrelib-from-build.patch
    - upstream-Upgrade-libpcre-to-PCRE2-10.42.-Windows-macOS-bu.patch

 -- Samuel Henrique <samueloph@debian.org>  Mon, 07 Aug 2023 19:07:50 +0100

nmap (7.94+dfsg1-4) unstable; urgency=medium

  * d/p/upstream-Handle-unknown-service-name-in-p.patch: New patch to fix -p
    parameter's SIGSEGV (closes: #1043171)

 -- Samuel Henrique <samueloph@debian.org>  Mon, 07 Aug 2023 14:49:07 +0100

nmap (7.94+dfsg1-3~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Samuel Henrique <samueloph@debian.org>  Wed, 02 Aug 2023 19:58:35 +0100

nmap (7.94+dfsg1-3) unstable; urgency=medium

  [ Samuel Henrique ]
  * d/p/upstream-Ncat-server-udp...: New patch to fix UDP server listener
    (closes: #1039613)

  [ Wookey ]
  * d/clean: Create file and add build artifact to it (closes: #1011638)

 -- Samuel Henrique <samueloph@debian.org>  Thu, 27 Jul 2023 20:09:55 +0100
