=== debian/control ===
--- 
+++ 
@@ -14,9 +14,13 @@
                libpcre2-dev,
                libssh2-1-dev,
                libssl-dev,
-               zlib1g-dev,
                lua-lpeg-dev,
                python3,
+               python3-gi, 
+               gir1.2-gtk-3.0,
+               gir1.2-pango-1.0,
+               gir1.2-glib-2.0,
+               gir1.2-gdkpixbuf-2.0,
 Build-Depends-Indep: default-jdk-headless,
                      gcc-mingw-w64-i686
 Standards-Version: 4.6.2
@@ -60,6 +64,25 @@
  .
  This package contains the nmap files shared by all architectures.
 
+Package: zenmap
+Architecture: all
+Depends: ndiff,
+         nmap,
+         python3-gi, 
+         python3-gi-cairo,
+         gir1.2-gtk-3.0,
+         gir1.2-pango-1.0,
+         gir1.2-glib-2.0,
+         gir1.2-gdkpixbuf-2.0,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Recommends: pkexec
+Description: The Network Mapper Front End
+ Zenmap is an Nmap frontend. It is meant to be useful for advanced users
+ and to make Nmap easy to use by beginners. It was originally derived
+ from Umit, an Nmap GUI created as part of the Google Summer of Code.
+
 Package: ndiff
 Architecture: all
 Recommends: nmap
