=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with=python3

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --sourcedir=ndiff --buildsystem=pybuild
	dh_auto_clean --sourcedir=zenmap --buildsystem=pybuild
	rm -f nselib/data/jdwp-class/*.class nselib/data/psexec/nmap_service.ex*

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-liblua=/usr \
		--with-liblinear \
		--without-zenmap \
		--without-ndiff \
		--enable-ipv6 \
		STRIP=/bin/true
	dh_auto_configure --sourcedir=ndiff --buildsystem=pybuild
	dh_auto_configure --sourcedir=zenmap --buildsystem=pybuild

mingw_CFLAGS = $(filter-out -mbranch-protection=standard,$(CFLAGS))

override_dh_auto_build-indep:
	dh_auto_build
	dh_auto_build --sourcedir=ndiff --buildsystem=pybuild
	dh_auto_build --sourcedir=zenmap --buildsystem=pybuild
	cd nselib/data/jdwp-class && /usr/lib/jvm/default-java/bin/javac *.java
	cd nselib/data/psexec && \
		i686-w64-mingw32-gcc ${CPPFLAGS} ${mingw_CFLAGS} -o nmap_service.exe nmap_service.c && \
		gzip -c -n9 nmap_service.exe | base64 | tac > nmap_service.ex_

override_dh_auto_test:
	dh_auto_test --sourcedir=ndiff --buildsystem=pybuild
	dh_auto_test --sourcedir=zenmap --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --sourcedir=ndiff --buildsystem=pybuild
	dh_auto_install --sourcedir=zenmap --buildsystem=pybuild
	mv debian/tmp/usr/share/man/pt_PT debian/tmp/usr/share/man/pt
